---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: celery
  namespace: issues
spec:
  template:
    spec:
      containers:
      - name: celery
        image: cr.yandex/crp3ccidau046kdj8g9q/issues:production_31aef17b
        env:
        - name: KAFKA_EAV_ASSETS_TOPIC
          value: sarex
        - name: AERO_PUBLIC_HOST
          value: https://sarex.dsinv.ru
        - name: ENABLE_MAILGUN
          value: 'False'
        - name: SMTP_HOST
          value: relay.dsinv.ru
        - name: SMTP_PORT
          value: '25'
        - name: EMAIL_FROM
          value: sarex@dsinv.ru
        - name: REDIS_HOST
          value: redis-service.issues.svc.cluster.local
        - name: DATABASE_HOST
          value: postgres-service.issues.svc.cluster.local
        - name: DATABASE_PORT
          value: '5432'
        - name: DATABASE_NAME
          value: issues
        - name: USE_NOTIFICATIONS
          value: 'True'
        - name: API_ADDRESS
          value: '8000'
        - name: YC_S3_VERIFY
          value: 'False'
        - name: ENVIRONMENT
          value: production
        - name: AERO_HOST
          value: https://sarex.dsinv.ru
        - name: BASE_AERO_URL
          value: http://backend.django.svc.cluster.local:8000
        - name: BASE_AUTH_URL
          value: https://sarex.dsinv.ru
        - name: WORKFLOWS_HOST
          value: http://workflows-service.workflow.svc.cluster.local:8000
        - name: WORKFLOWS_URL
          value: https://sarex.dsinv.ru
        - name: RESOURCES_API_HOST
          value: http://resources-service.resources.svc.cluster.local:8000
        - name: EAV_HOST
          value: http://eav-service.eav.svc.cluster.local:8000
        - name: SAREX_API
          value: http://backend.django.svc.cluster.local:8000
